
/***************************************************************************
                 module classe ua_norm_dynzdf.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, April 17, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1,YREAL x2)
{ /*	1	from	ua_dynzdf_imp		1  i 	j    k    t
	2	from	ub			1  i 	j    k    t-1*/

  /* YS1 ua */
  /*     A 2.839992085399046e-11
	 R 2.796970474842498e-10*/
  /* YS1 va clonol */
  /*      2.840364140134607e-11
	  2.284016994012718e-10*/


  if(Yt==TU)
    YS1=0.;
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1){
      YS1=0.;
    }
    else{
      YS1 = ( x1 - x2 ) / r2dt;
    }
  }
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1,YREAL x2)
{
  //  if(Yt==6 && Yi==28 && Yj==3)  xtest("ua_norm_dynedf YG1",YG1,Yi,Yj,Yk,Yt);
  YJ1I1=0.;     YJ1I2=0.;
  if(Yt!=TU){  
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1){
      YJ1I1=0.;     YJ1I2=0.;
    }
    else{
      YJ1I1=1./r2dt;
      YJ1I2=-YJ1I1;
    }
  }
  //
}

//===========================================================================
//********************  FIN DU MODULE ua_norm_dynzdf   **********************

