
/***************************************************************************
                 module classe sa_traldf_lap.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, April 2, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1, YREAL x2, YREAL x3, YREAL x4, YREAL x5)
{ /*	1	from	sa_traadv_musc		1  i 	j    k    t
	2	from	zsuv_traldf_lap		1  i	j    k    t
	3	from	zsuv_traldf_lap		1  i-1	j    k    t
	4	from	zsuv_traldf_lap		2  i	j    k    t
	5	from	zsuv_traldf_lap		2  i	j-1  k    t*/
  /*     2.025948414284446e-10
	 1.374051138321368e-04*/

  if(Yt==TU)
    YS1=0.;
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk== NZ-1)
      YS1=x1;
    else{
#if defined key_zco
      double    zbtr = zbtr2(Yi,Yj);
#else
      double    zbtr = zbtr2(Yi,Yj) / fse3t(Yi,Yj,Yk);
#endif
      
      //       ! horizontal diffusive trends
      double  zsa = zbtr*(x2-x3+x4-x5);
      //               ! add it to the general tracer trends
      YS1=x1+zsa;
    }    
  }
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1, YREAL x2, YREAL x3, YREAL x4, YREAL x5)
{
  
}

  //===========================================================================
//*************************  FIN DU MODULE sa_traldf_lap   *************************

