
/***************************************************************************
                 module classe spguv_now_dynspg.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, April 20, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1,YREAL x2,YREAL x3)
{ /*	1	from	sshn			1  i 	j         t-1
	2	from	sshn			1  i 	j+1       t-1
	3	from	sshn			1  i+1 	j         t-1*/

  /* YS1 ua */
  /*     A 
	 R */
  /* YS2 */
  /*    
	*/
  if(Yt==TU){
    YS1=0.;
    YS2=0.;
  }
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 ){
      YS1=0.;
      YS2=0.;
    }
    else{
      YS1 = - grav * ( x3 - x1 ) / e1u(Yi,Yj);
      YS2 = - grav * ( x2 - x1 ) / e2v(Yi,Yj);
    }
  }
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1,YREAL x2,YREAL x3)
{
  YJ1I1=0.;     YJ1I2=0.;  YJ1I3=0.; 
  YJ2I1=0.;     YJ2I2=0.;  YJ2I3=0.; 
  if(Yt!=TU){  
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 ){
      YJ1I1=0.;     YJ1I2=0.;  YJ1I3=0.; 
      YJ2I1=0.;     YJ2I2=0.;  YJ2I3=0.; 
    }
    else{
      YJ1I1= grav/ e1u(Yi,Yj);
      YJ1I2= 0.;
      YJ1I3= -YJ1I1; 
      YJ2I1= grav/e2v(Yi,Yj);
      YJ2I2= -YJ2I1;
      YJ2I3= 0.; 
    }
  }
  //
  
}

//===========================================================================
//*******************  FIN DU MODULE spguv_now_dynspg   *********************

