
/***************************************************************************
                 module classe zrhs_va_dynzdf_imp.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, April 15, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1, YREAL x2, YREAL x3)
{ /*	1	from	va_dyn_hpg_zco		1  i 	j    k	  t
	2	from	vb			1  i 	j    k	  t-1
	3	from	sbcgyre_utau_vtau_wndm	2  i	j    	  t */
  /* YS1*/
  /*    ??
	??*/

  if(Yt==TU)
    YS1=0.;
  else{
    double z2dtf;
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk== NZ-1){
      YS1=0.;
    }
    else{
      if(Yk==0){
	z2dtf = r2dt / ( fse3v(Yi,Yj,0)*rau0 );
	YS1=x2 + r2dt*x1+z2dtf * x3;
      }
      else
	YS1 = x2+r2dt*x1;//   ! zrhs=right hand side
    }
  }
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1, YREAL x2, YREAL x3)
{
  YJ1I1=0.;     YJ1I2=0.;    YJ1I3=0.;
  if(Yt!=TU){  
    double z2dtf;
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk== NZ-1){
      YS1=0.;
      YJ1I1=0.;     YJ1I2=0.;    YJ1I3=0.;
    }
    else{
      if(Yk==0){
	z2dtf = r2dt / ( fse3v(Yi,Yj,0)*rau0 );
	YJ1I1=r2dt;
	YJ1I2=1.;
	YJ1I3=z2dtf;
      }
      else{
	YS1 = x2+r2dt*x1;//   ! zrhs=right hand side
	YJ1I1=r2dt;     
	YJ1I2=1.;
	YJ1I3=0.;
      }
    }
  }
  //
  
}

//===========================================================================
//******************  FIN DU MODULE zrhs_va_dynzdf_imp  *********************

